SORT(1)

NOM
sort - Trier les lignes de fichiers texte

SYNOPSIS
sort [OPTION] ... [FICHIER] ...
sort [OPTION] ... --files0-from=FICHIERS

DESCRIPTION

Afficher sur la sortie standard la concaténation triée de tous les FICHIERs.

L'entrée standard est lue quand FICHIER est omis ou quand FICHIER vaut « - ».

Les paramètres obligatoires pour les options de forme longue le sont aussi pour les options de forme courte. Options de tri :

-b, --ignore-leading-blanks
    ignorer les blancs de tête

-d, --dictionary-order
    ne prendre en compte que les blancs et les caractères alphanumériques

-f, --ignore-case
    convertir les caractères minuscules en majuscules

-g, --general-numeric-sort
    comparer selon la valeur numérique des caractères

-i, --ignore-nonprinting
    ne prendre en compte que les caractères imprimables

-M, --month-sort
    comparer (inconnu) < « JANV. » < ... < « DÉC. »

-h, --human-numeric-sort
    comparer des nombres de format lisible par un humain (par exemple, 2K 1G)

-n, --numeric-sort
    comparer selon la valeur numérique de la chaîne

-R, --random-sort
    mélanger, mais grouper les clés identiques. Voir shuf(1)

--random-source=FICHIER
    obtenir les octets aléatoires depuis FICHIER

-r, --reverse
    inverser le résultat des comparaisons

--sort=MODE
    trier selon le MODE : general-numeric -g, human-numeric -h, month -M, numeric -n, random -R, version -V

-V, --version-sort
    tri naturel des numéros (de version) dans le texte

Autres options :

--batch-size=NFUSION
    fusionner au plus NFUSION entrées à la fois ; sinon, utiliser des fichiers temporaires

-c, --check, --check=diagnose-first
    vérifier si l'entrée est triée ; ne pas trier

-C, --check=quiet, --check=silent
    identique à -c mais sans afficher la première mauvaise ligne

--compress-program=PROGRAMME
    compresser les fichiers temporaires avec PROGRAMME ; les décompresser avec PROGRAMME -d

--debug
    indiquer la partie de la ligne utilisée pour le tri et signaler les utilisations douteuses sur la sortie d'erreur standard

--files0-from=FICHIERS\fP
    prendre comme entrée les fichiers listés dans FICHIERS, les noms se terminant par un octet NULL. Si FICHIERS est « - », alors lire les noms depuis l'entrée standard

-k, --key=DEFCLÉ
    trier selon une clé ; DEFCLÉ indique sa position et son type

-m, --merge
    fusionner des fichiers déjà triés ; ne pas trier

-o, --output=FICHIER
    écrire le résultat dans le FICHIER à la place de la sortie standard

-s, --stable
    stabiliser le tri en inhibant la comparaison de dernier recours

-S, --buffer-size=TAILLE
    utiliser la TAILLE pour le tampon mémoire principal

-t, --field-separator=SÉPARATEUR
    utiliser le SÉPARATEUR à la place d'une transition d'un caractère non blanc vers un caractère blanc

-T, --temporary-directory=RÉPERTOIRE
    utiliser le RÉPERTOIRE pour les fichiers temporaires à la place de $TMPDIR ou /tmp ; des options multiples indiquent des répertoires multiples

--parallel=N
    changer le nombre de tris effectués en parallèle à N

-u, --unique
    avec -c, vérifier que le classement est strict, sans -c, n'afficher que la première entrée identique rencontrée

-z, --zero-terminated
    le délimiteur de lignes est l’octet NULL, pas le changement de ligne

--help
    afficher l'aide-mémoire et quitter.

--version
    afficher les informations de version et quitter.

DEFCLÉ est de la forme F[.C][OPTS][,F[.C][OPTS]] indiquant les positions de début et de fin, où F est le numéro du champ et C la position du caractère dans le champ ; les deux commencent à partir de 1. Si non spécifiée, la fin correspond à la fin de la ligne. Si ni -t ni -b ne sont utilisées, les caractères d'un champ sont comptés en commençant à l'espace précédent. OPTS se présente sous la forme d'une ou plusieurs options de tri composée d'une lettre parmi [bdfgiMhnRrV], lesquelles écrasent le classement global pour cette clé. Si aucune clé n'est indiquée, la ligne entière est utilisée comme clé. Utilisez --debug pour repérer les utilisations incorrectes de clés.

TAILLE peut être suivi d'un des suffixes multiplicatifs suivants : % 1% de mémoire, b 1, K 1024 (par défaut), et ainsi de suite pour M, G, T, P, E, Z, Y.

*** ATTENTION *** Les paramètres régionaux utilisés dans l'environnement affectent l'ordre du tri. Utiliser LC_ALL=C pour obtenir un tri selon un ordre traditionnel qui utilise la valeur native des octets.

AUTEUR
Écrit par Mike Haertel et Paul Eggert.

SIGNALER DES BOGUES
Aide en ligne de GNU coreutils : <https://www.gnu.org/software/coreutils/>
Signaler toute erreur de traduction à <https://translationproject.org/team/fr.html>

COPYRIGHT
Copyright © 2022 Free Software Foundation, Inc. Licence GPLv3+ : GNU GPL version 3 ou ultérieure <https://gnu.org/licenses/gpl.html>
Ce programme est un logiciel libre. Vous pouvez le modifier et le redistribuer. Il n'y a AUCUNE GARANTIE dans la mesure autorisée par la loi.

VOIR AUSSI
shuf(1), uniq(1)

Documentation complète : <https://www.gnu.org/software/coreutils/sort>
aussi disponible localement à l’aide de la commande : info '(coreutils) sort invocation'

TRADUCTION
La traduction française de cette page de manuel a été créée par Jean-Luc Coulon (f5ibh) <jean-luc.coulon@wanadoo.fr>, Nicolas François <nicolas.francois@centraliens.net>, Bastien Scher <bastien0705@gmail.com>, David Prévot <david@tilapin.org> et Jean-Philippe MENGUAL <jpmengual@debian.org>

Cette traduction est une documentation libre ; veuillez vous reporter à la GNU General Public License version 3 (https://www.gnu.org/licenses/gpl-3.0.html) concernant les conditions de copie et de distribution. Il n'y a aucune RESPONSABILITÉ LÉGALE.

Si vous découvrez un bogue dans la traduction de cette page de manuel, veuillez envoyer un message à debian-l10n-french@lists.debian.org.